cascading.operation.filter

## Class Logic

- java.lang.Object
- - cascading.operation.BaseOperation<Logic.Context>
  - - cascading.operation.filter.Logic

- All Implemented Interfaces:
    DeclaresResults, Filter<Logic.Context>, Operation<Logic.Context>, Traceable, Serializable
  Direct Known Subclasses:
    And, Or, Xor

      public abstract class Logic
      extends BaseOperation<Logic.Context>
      implements Filter<Logic.Context>

  Class Logic is the base class for logical `Filter` operations.
  See Also:
    `And`, `Or`, `Xor`, Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `Logic.Context`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Fields[]` | `argumentSelectors` Field fields
    `protected Filter[]` | `filters` Field filters

    - ### Fields inherited from class cascading.operation.BaseOperation

      `fieldDeclaration, numArgs, trace`

    - ### Fields inherited from interface cascading.operation.Operation

      `ANY`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Logic(Fields[] argumentSelectors, Filter[] filters)`
    `protected` | `Logic(Fields lhsArgumentSelector, Filter lhsFilter, Fields rhsArgumentSelector, Filter rhsFilter)`
    `protected` | `Logic(Filter... filters)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cleanup(FlowProcess flowProcess, OperationCall operationCall)` Method cleanup does nothing, and may safely be overridden.
    `boolean` | `equals(Object object)`
    `Fields[]` | `getArgumentSelectors()`
    `protected int` | `getFieldsSize()`
    `Filter[]` | `getFilters()`
    `int` | `hashCode()`
    `void` | `prepare(FlowProcess flowProcess, OperationCall operationCall)` Method prepare does nothing, and may safely be overridden.
    `protected void` | `verify()`

    - ### Methods inherited from class cascading.operation.BaseOperation

      `flush, getFieldDeclaration, getNumArgs, getTrace, isSafe, printOperationInternal, toString, toStringInternal`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface cascading.operation.Filter

      `isRemove`

    - ### Methods inherited from interface cascading.operation.Operation

      `flush, getFieldDeclaration, getNumArgs, isSafe`

- - ### Field Detail

    - #### argumentSelectors

          protected final Fields[] argumentSelectors

      Field fields

    - #### filters

          protected final Filter[] filters

      Field filters

  - ### Constructor Detail

    - #### Logic

          @ConstructorProperties(value="filters")
          protected Logic(Filter... filters)

    - #### Logic

          @ConstructorProperties(value={"lhsArgumentsSelector","lhsFilter","rhsArgumentSelector","rhsFilter"})
          protected Logic(Fields lhsArgumentSelector,
                                          Filter lhsFilter,
                                          Fields rhsArgumentSelector,
                                          Filter rhsFilter)

    - #### Logic

          @ConstructorProperties(value={"argumentSelectors","filters"})
          protected Logic(Fields[] argumentSelectors,
                                          Filter[] filters)

  - ### Method Detail

    - #### getArgumentSelectors

          public Fields[] getArgumentSelectors()

    - #### getFilters

          public Filter[] getFilters()

    - #### verify

          protected void verify()

    - #### prepare

          public void prepare(FlowProcess flowProcess,
                     OperationCall operationCall)

      Description copied from class: `BaseOperation`
      Method prepare does nothing, and may safely be overridden.
      Specified by:
        `prepare` in interface `Operation<Logic.Context>`
      Overrides:
        `prepare` in class `BaseOperation<Logic.Context>`

    - #### cleanup

          public void cleanup(FlowProcess flowProcess,
                     OperationCall operationCall)

      Description copied from class: `BaseOperation`
      Method cleanup does nothing, and may safely be overridden.
      Specified by:
        `cleanup` in interface `Operation<Logic.Context>`
      Overrides:
        `cleanup` in class `BaseOperation<Logic.Context>`

    - #### getFieldsSize

          protected int getFieldsSize()

    - #### equals

          public boolean equals(Object object)

      Overrides:
        `equals` in class `BaseOperation<Logic.Context>`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `BaseOperation<Logic.Context>`

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.